Bug 504478 - Review Request: rubygem-diff-lcs - Provide a list of changes between two sequenced collections
Review Request: rubygem-diff-lcs - Provide a list of changes between two sequ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Ingeli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-07 07:45 EDT by Lubomir Rintel
Modified: 2014-07-21 08:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 14:05:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mi: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-06-07 07:45:11 EDT
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-diff-lcs.spec
SRPM: http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-diff-lcs-1.1.2-1.fc11.src.rpm

Description:

Diff::LCS is a port of Algorithm::Diff that uses the McIlroy-Hunt longest
common subsequence (LCS) algorithm to compute intelligent differences between
two sequenced enumerable containers. The implementation is based on Mario I.
Wolczko's Smalltalk version (1.2, 1993) and Ned Konz's Perl version
(Algorithm::Diff).
Comment 1 Lubomir Rintel 2009-06-07 07:58:53 EDT
rubygem-diff-lcs.noarch: W: invalid-license Artistic

This actual license is "GPLv2+ or Ruby or Artistic" which is indeed valid. I suspect rpmlint only recognizes "Artistic" in "GPL+ or Artistic" a.k.a. "Perl license".
Comment 4 Michal Ingeli 2009-07-01 09:49:29 EDT
* naming OK
* licensing OK
* Clean, legible spec file, American English
* source file matches upstream
* file list, documentation, permissions OK
* builds in mock
* rpmlint warnd about Artistic license, but upstream also declares usage of Ruby and GPLv2+, and that's OK

APPROVED
Comment 5 Lubomir Rintel 2009-07-08 11:48:45 EDT
New Package CVS Request
=======================
Package Name: rubygem-diff-lcs
Short Description: Provide a list of changes between two sequenced collections
Owners: lkundrak
Branches: F-10 F-11 EL-5
Comment 6 Jason Tibbitts 2009-07-08 12:34:25 EDT
CVS done.
Comment 7 Lubomir Rintel 2009-07-08 14:05:06 EDT
Imported and built.
Thanks for review and CVS!
Comment 8 Troy Dawson 2014-07-18 17:55:12 EDT
Package Change Request
======================
Package Name: rubygem-diff-lcs
New Branches: epel7
Owners: tdawson
Comment 9 Gwyn Ciesla 2014-07-21 08:38:09 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.